# List all complaints

Paginate a list of complaints for the domain.

Endpoint: GET /v3/{domain_name}/complaints
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Domain to retrieve complaints from

## Query parameters:

  - `limit` (integer)
    Maximum number of records to return (optional, default: 100, max: 1000)

  - `page` (string)
    Page direction relative to the above address, can be next, previous or last, if empty, returns the first page

  - `address` (string, required)
    address serving as a "divider" between pages

  - `term` (string, required)
    Filter records based on addresses that start with the specified substring.

## Response 200 fields (application/json):

  - `items` (array, required)

  - `items.address` (string, required)
    Email address for the original recipient

  - `items.created_at` (object, required)
    Timestamp for when the Complaint event was received in RFC822 format

  - `paging` (object, required)

  - `paging.previous` (string, required)
    Previous page URL

  - `paging.first` (string, required)
    First page URL

  - `paging.next` (string, required)
    Next page URL

  - `paging.last` (string, required)
    Last page URL

## Response 400 fields (application/json):

  - `message` (string, required)
    Response message


